#include <bits/stdc++.h>
using namespace std;
int N;
double porez, ukporez;
int main (){
    cin>>N;
    int niz[N];
    double suma,niz2[N],niz3[N];
    for(int a=1;a<=N;a++){
             cin>>niz[a]>>niz2[a];
    }

    for(int i=1;i<=N; i++){
        porez=niz2[i];

        for(int y=1;y<=N;y++){
            if(niz2[i]<=niz2[y]){suma=suma+niz[y];}
        }

        niz3[i]=(suma*porez)/100;
        suma=0;
    }

    ukporez=niz3[1];
    for(int r=1;r<=N;r++){
        if(ukporez<niz3[r]){ukporez=niz3[r];}
    }
    cout<<setprecision(4)<<fixed;
    cout<<ukporez<<endl;

return 0;
}